[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TDoubleHelper.NaN

Representation of NaN (Not a Number)

## Declaration

Source position: syshelph.inc line 285

`public const TDoubleHelper.NaN: Double = 0.0 / 0.0;`

## Description

NaN is the Representation of NaN (Not a Number) for a Double-sized floating point type.

## See also

TDoubleHelper.MaxValue |  | Largest possible value for the Double floating point type
TDoubleHelper.MinValue |  | Smallest (negative) possible value for the Double floating point type
TDoubleHelper.Epsilon |  | Precision for this floating point type
TDoubleHelper.PositiveInfinity |  | Positive infinity as represented by a Double floating point type
TDoubleHelper.NegativeInfinity |  | Negative infinity as represented by a Double floating point type